import { SmzUiGuidesState, SmzUiGuidesStep } from '../../standalones/smz-ui-guides/models/smz-ui-guides-state';
import { SmzBuilderUtilities } from '../common/smz-builder-utilities';
import { SmzUiGuidesCustomStylesBuilder } from './custom-styles-builder';
import { SmzUiGuidesDefaultStepBuilder } from './default-step-builder';
import { SmzUiGuidesStepBuilder } from './step-builder';
import { SmzUiGuidesStepOverridesBuilder } from './step-overrides-builder';
export declare class SmzUiGuidesBuilder extends SmzBuilderUtilities<SmzUiGuidesBuilder> {
    protected that: this;
    _state: SmzUiGuidesState;
    _defaultStep: SmzUiGuidesStep;
    constructor();
    defaults(): SmzUiGuidesDefaultStepBuilder;
    step(elementId: string): SmzUiGuidesStepBuilder;
    override(): SmzUiGuidesStepOverridesBuilder;
    setInitCallback(callback: (step: SmzUiGuidesStep) => void): SmzUiGuidesBuilder;
    setConcludedCallback(callback: (step: SmzUiGuidesStep) => void): SmzUiGuidesBuilder;
    setLocale(language: 'pt-BR' | 'en-US'): SmzUiGuidesBuilder;
    allowBackNavigation(): SmzUiGuidesBuilder;
    showSummaryCount(): SmzUiGuidesBuilder;
    customStyles(): SmzUiGuidesCustomStylesBuilder;
    build(): SmzUiGuidesState;
}
